4Suite™ API Documentation

# ► Module Ft.Server.Server.SCore.XsltDocumentImp

XsltDocument repository resource class.
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: XsltDocumentImp |  |  |  | Fields: FTSERVER_NAMESPACE

## Classes

class XsltDocumentImp(Ft.Server.Server.SCore.XmlDocumentImp.XmlDocumentImp)
An Xslt Document

### Methods

asStylesheet(self)
Returns this resource as an Xslt stylesheet
getExtFunctionsAndElements(self)
setContent(self, src)
setDocumentDefinition(self, newDocDef)
Reset our document definition and regenerate our self

### Methods inherited from class Ft.Server.Server.SCore.XmlDocumentImp.XmlDocumentImp

expandXLink, getDocumentDefinition, getValidationInfo

### Methods inherited from class Ft.Server.Server.SCore.RawFileImp.RawFileImp

asSchematron, getContent, getContentResource, getImt, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Server.SCore.ResourceMetaDataImp.ResourceMetaDataImp

__init__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContentSlice, getCreationDate, getDisplayPath, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, hasResource, inheritAcl, isResourceType, markTemporary, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setOwner, toXPathContext, verifyAcl, xUpdate

### Fields

resourceType = 5

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'